module Util where

import Affection

import qualified SDL
import qualified SDL.Internal.Numbered as SDL

import Linear

-- internal imports

import Types.Application
import Types.Subsystems

globalKeyHandle
  :: GameData
  -> KeyboardMessage
  -> Affection ()
globalKeyHandle gd mesg@(MsgKeyboardEvent time win motion repeat keysym) =
  case mesg of
    MsgKeyboardEvent
      _
      _
      SDL.Pressed
      False
      (SDL.Keysym SDL.ScancodeF11 _ _) ->
        toggleScreen 0
    _ -> return ()

constG :: V2 Double
constG = V2 0 (-500)

bounceThreshold :: Double
bounceThreshold = 200
